body, html {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

#map {
  height: 100%;
  width: 100%;
  position: absolute;
}

#controls {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.button-row {
  display: flex;
  justify-content: center;
}

#controls button {
  font-size: 20px;
  margin: 5px;
  width: 40px;
  height: 40px;
  border-radius: 5px;
}

.overlay {
  position: absolute;
  top: 10px;
  left: 10px;
  background: rgba(255, 255, 255, 0.8);
  padding: 5px;
  border-radius: 5px;
}
